DeepSeek V4 Pro 0813
DeepSeek V4 Pro is a 1.6T-parameter Mixture-of-Experts model with 49B active parameters and a 1M-token context window. Built for advanced reasoning, coding, and long-horizon agentic workflows with a hybrid attention system for efficient long-context processing.
Input / output
$1.65 / $4.95
per 1M tokens
Context
1M
256K max output
Reasoning
none, low, high, max
default high
Cached input
$0.165
90% off input
Modalities
Text
out: text
Pricing
USD per 1M tokensInput
$1.65
Cached input
$0.165
Output incl. reasoning
$4.95
| Similar models | Input | Output |
|---|---|---|
| DeepSeek V4 Pro 0813 | $1.65 | $4.95 |
| GLM 5.3 | $1.75 | $5.50 |
| Muse Spark Open | $1.56 | $5.31 |
| GLM 5.2 | $1.40 | $4.40 |
| GLM 5.1 | $1.54 | $4.84 |
Prompt caching is automatic; see Prompt caching.
Specs
- Model ID
deepseek-v4-pro-0813- Endpoint
POST /api/v1/chat/completions- Context window
- 1,000,000 tokens
- Max output
- 262,144 tokens
- Reasoning effort
reasoning_effort: none | low | high | max· default high · guide- Served precision
- Not disclosed
- Added
- Aug 14, 2026
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Not supported
- Audio
- Not supported
- Video
- Not supported
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Supported
- Reasoning effort
- none, low, high, max
- Prompt caching
- Supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "deepseek-v4-pro-0813",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "high"
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available